<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: ADCard Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classADCard-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ADCard Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ADCard_8hpp_source.html">ADCard.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ADCard:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard__coll__graph.png" border="0" usemap="#ADCard_coll__map" alt="Collaboration graph"/></div>
<map name="ADCard_coll__map" id="ADCard_coll__map">
<area shape="rect" id="node2" href="structparsed__options.html" title="{parsed_options\n|+ filename\l+ value\l+ subdevice\l+ channel\l+ aref\l+ range\l+ physical\l+ verbose\l+ n_chan\l+ n_scan\l+ freq\l|}" alt="" coords="29,5,139,264"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0d90c9d3ccba69eea424c69b54c78271"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a0d90c9d3ccba69eea424c69b54c78271">ADCard</a> ()</td></tr>
<tr class="memitem:a7594fe824f103fd1d189ea88867434d2"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a7594fe824f103fd1d189ea88867434d2">~ADCard</a> ()</td></tr>
<tr class="memitem:a6516ee31f7f557493d558ac75ae42a75"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75">Init</a> (<a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a> mode, int integrationTimeMs)</td></tr>
<tr class="memitem:ad6e0ad1f4e6849d4f5726277f2d0b85a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#ad6e0ad1f4e6849d4f5726277f2d0b85a">GetVoltage</a> (double &amp;voltage)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a1661b2c07688c5520bf20753ef7192cc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a1661b2c07688c5520bf20753ef7192cc">PrepareCmdLib</a> (comedi_t *<a class="el" href="classADCard.html#a96d7db57d73224bc58d70c5452498629">dev</a>, int subdevice, int n_scan, int n_chan, unsigned scan_period_nanosec, comedi_cmd *<a class="el" href="classADCard.html#a1a375a9c066ea9daa6ecea4e1c108967">cmd</a>, <a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a> mode)</td></tr>
<tr class="memitem:ae7dd4e13c4880d3224a855bf1cc101ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#ae7dd4e13c4880d3224a855bf1cc101ad">init_parsed_options</a> (<a class="el" href="structparsed__options.html">parsed_options</a> *<a class="el" href="classADCard.html#a26e946d55a2a4dab609a63ee1925d9f9">options</a>)</td></tr>
<tr class="memitem:a4fca811344fca9a6017bd75e885a48f5"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a4fca811344fca9a6017bd75e885a48f5">cmd_src</a> (int src, char *<a class="el" href="classADCard.html#a6553637495873f0e012f2967f6eff579">buf</a>)</td></tr>
<tr class="memitem:ae42b941cff6846a66cbdcdf0c1d5d499"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#ae42b941cff6846a66cbdcdf0c1d5d499">dump_cmd</a> (FILE *out, comedi_cmd *<a class="el" href="classADCard.html#a1a375a9c066ea9daa6ecea4e1c108967">cmd</a>)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a96d7db57d73224bc58d70c5452498629"><td class="memItemLeft" align="right" valign="top">comedi_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a96d7db57d73224bc58d70c5452498629">dev</a></td></tr>
<tr class="memitem:a418bcad1c784e99c8781177c7236b115"><td class="memItemLeft" align="right" valign="top">comedi_cmd&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a418bcad1c784e99c8781177c7236b115">command</a></td></tr>
<tr class="memitem:a1a375a9c066ea9daa6ecea4e1c108967"><td class="memItemLeft" align="right" valign="top">comedi_cmd *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a1a375a9c066ea9daa6ecea4e1c108967">cmd</a></td></tr>
<tr class="memitem:a26e946d55a2a4dab609a63ee1925d9f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structparsed__options.html">parsed_options</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a26e946d55a2a4dab609a63ee1925d9f9">options</a></td></tr>
<tr class="memitem:a06757d3dd65df0d49ba5d2791747a08e"><td class="memItemLeft" align="right" valign="top">comedi_polynomial_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a06757d3dd65df0d49ba5d2791747a08e">polynomial_converter</a></td></tr>
<tr class="memitem:a03fbcb0e673487d9ae7e069109d265b6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a03fbcb0e673487d9ae7e069109d265b6">chanlist</a> [<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td></tr>
<tr class="memitem:a26add57f7c4990f9c2457e195f3bf9f8"><td class="memItemLeft" align="right" valign="top">comedi_range *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a26add57f7c4990f9c2457e195f3bf9f8">range_info</a> [<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td></tr>
<tr class="memitem:acdf728f62a9e17712f539523ef879869"><td class="memItemLeft" align="right" valign="top">lsampl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#acdf728f62a9e17712f539523ef879869">maxdata</a> [<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td></tr>
<tr class="memitem:a5d07a1c0a416d50fdceda7be60f80c10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a5d07a1c0a416d50fdceda7be60f80c10">forceAcquisitionMode</a></td></tr>
<tr class="memitem:a6553637495873f0e012f2967f6eff579"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classADCard.html#a6553637495873f0e012f2967f6eff579">buf</a> [<a class="el" href="ADCard_8hpp.html#ab26c26cbf7a0c97d8960c3cfb413f882">BUFSZ</a>]</td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0d90c9d3ccba69eea424c69b54c78271"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ADCard::ADCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7594fe824f103fd1d189ea88867434d2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ADCard::~ADCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a4fca811344fca9a6017bd75e885a48f5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char * ADCard::cmd_src </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_a4fca811344fca9a6017bd75e885a48f5_icgraph.png" border="0" usemap="#classADCard_a4fca811344fca9a6017bd75e885a48f5_icgraph" alt=""/></div>
<map name="classADCard_a4fca811344fca9a6017bd75e885a48f5_icgraph" id="classADCard_a4fca811344fca9a6017bd75e885a48f5_icgraph">
<area shape="rect" id="node3" href="classADCard.html#ae42b941cff6846a66cbdcdf0c1d5d499" title="ADCard::dump_cmd" alt="" coords="181,5,323,35"/><area shape="rect" id="node5" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75" title="ADCard::Init" alt="" coords="372,5,465,35"/><area shape="rect" id="node7" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8" title="ForceMeasurement::Init" alt="" coords="515,5,675,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae42b941cff6846a66cbdcdf0c1d5d499"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ADCard::dump_cmd </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">comedi_cmd *&#160;</td>
          <td class="paramname"><em>cmd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_cgraph.png" border="0" usemap="#classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_cgraph" alt=""/></div>
<map name="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_cgraph" id="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_cgraph">
<area shape="rect" id="node3" href="classADCard.html#a4fca811344fca9a6017bd75e885a48f5" title="ADCard::cmd_src" alt="" coords="196,5,321,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_icgraph.png" border="0" usemap="#classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_icgraph" alt=""/></div>
<map name="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_icgraph" id="classADCard_ae42b941cff6846a66cbdcdf0c1d5d499_icgraph">
<area shape="rect" id="node3" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75" title="ADCard::Init" alt="" coords="196,5,289,35"/><area shape="rect" id="node5" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8" title="ForceMeasurement::Init" alt="" coords="339,5,499,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad6e0ad1f4e6849d4f5726277f2d0b85a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ADCard::GetVoltage </td>
          <td>(</td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>voltage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_ad6e0ad1f4e6849d4f5726277f2d0b85a_icgraph.png" border="0" usemap="#classADCard_ad6e0ad1f4e6849d4f5726277f2d0b85a_icgraph" alt=""/></div>
<map name="classADCard_ad6e0ad1f4e6849d4f5726277f2d0b85a_icgraph" id="classADCard_ad6e0ad1f4e6849d4f5726277f2d0b85a_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee" title="ForceMeasurement::GetForce\lAndVoltage" alt="" coords="199,35,393,82"/><area shape="rect" id="node5" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d" title="ForceMeasurement::Update\lForce" alt="" coords="456,5,640,51"/><area shape="rect" id="node7" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="444,75,652,104"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6516ee31f7f557493d558ac75ae42a75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ADCard::Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a>&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>integrationTimeMs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_a6516ee31f7f557493d558ac75ae42a75_cgraph.png" border="0" usemap="#classADCard_a6516ee31f7f557493d558ac75ae42a75_cgraph" alt=""/></div>
<map name="classADCard_a6516ee31f7f557493d558ac75ae42a75_cgraph" id="classADCard_a6516ee31f7f557493d558ac75ae42a75_cgraph">
<area shape="rect" id="node3" href="classADCard.html#ae7dd4e13c4880d3224a855bf1cc101ad" title="ADCard::init_parsed\l_options" alt="" coords="164,5,303,51"/><area shape="rect" id="node5" href="classADCard.html#a1661b2c07688c5520bf20753ef7192cc" title="ADCard::PrepareCmdLib" alt="" coords="151,75,316,104"/><area shape="rect" id="node7" href="classADCard.html#ae42b941cff6846a66cbdcdf0c1d5d499" title="ADCard::dump_cmd" alt="" coords="163,128,304,157"/><area shape="rect" id="node9" href="classADCard.html#a4fca811344fca9a6017bd75e885a48f5" title="ADCard::cmd_src" alt="" coords="367,128,492,157"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_a6516ee31f7f557493d558ac75ae42a75_icgraph.png" border="0" usemap="#classADCard_a6516ee31f7f557493d558ac75ae42a75_icgraph" alt=""/></div>
<map name="classADCard_a6516ee31f7f557493d558ac75ae42a75_icgraph" id="classADCard_a6516ee31f7f557493d558ac75ae42a75_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8" title="ForceMeasurement::Init" alt="" coords="149,5,309,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae7dd4e13c4880d3224a855bf1cc101ad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ADCard::init_parsed_options </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structparsed__options.html">parsed_options</a> *&#160;</td>
          <td class="paramname"><em>options</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_ae7dd4e13c4880d3224a855bf1cc101ad_icgraph.png" border="0" usemap="#classADCard_ae7dd4e13c4880d3224a855bf1cc101ad_icgraph" alt=""/></div>
<map name="classADCard_ae7dd4e13c4880d3224a855bf1cc101ad_icgraph" id="classADCard_ae7dd4e13c4880d3224a855bf1cc101ad_icgraph">
<area shape="rect" id="node3" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75" title="ADCard::Init" alt="" coords="196,13,289,43"/><area shape="rect" id="node5" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8" title="ForceMeasurement::Init" alt="" coords="339,13,499,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a1661b2c07688c5520bf20753ef7192cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ADCard::PrepareCmdLib </td>
          <td>(</td>
          <td class="paramtype">comedi_t *&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>subdevice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n_scan</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n_chan</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>scan_period_nanosec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">comedi_cmd *&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a>&#160;</td>
          <td class="paramname"><em>mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classADCard_a1661b2c07688c5520bf20753ef7192cc_icgraph.png" border="0" usemap="#classADCard_a1661b2c07688c5520bf20753ef7192cc_icgraph" alt=""/></div>
<map name="classADCard_a1661b2c07688c5520bf20753ef7192cc_icgraph" id="classADCard_a1661b2c07688c5520bf20753ef7192cc_icgraph">
<area shape="rect" id="node3" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75" title="ADCard::Init" alt="" coords="223,5,316,35"/><area shape="rect" id="node5" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8" title="ForceMeasurement::Init" alt="" coords="365,5,525,35"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="a6553637495873f0e012f2967f6eff579"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char ADCard::buf[<a class="el" href="ADCard_8hpp.html#ab26c26cbf7a0c97d8960c3cfb413f882">BUFSZ</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a03fbcb0e673487d9ae7e069109d265b6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ADCard::chanlist[<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a1a375a9c066ea9daa6ecea4e1c108967"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">comedi_cmd* ADCard::cmd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a418bcad1c784e99c8781177c7236b115"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">comedi_cmd ADCard::command</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a96d7db57d73224bc58d70c5452498629"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">comedi_t* ADCard::dev</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5d07a1c0a416d50fdceda7be60f80c10"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ADCard_8hpp.html#a17a27bce16c6b378ef0edfb5f37c02ca">FORCE_ACQUISITION_MODE</a> ADCard::forceAcquisitionMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="acdf728f62a9e17712f539523ef879869"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">lsampl_t ADCard::maxdata[<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a26e946d55a2a4dab609a63ee1925d9f9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structparsed__options.html">parsed_options</a> ADCard::options</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a06757d3dd65df0d49ba5d2791747a08e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">comedi_polynomial_t ADCard::polynomial_converter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a26add57f7c4990f9c2457e195f3bf9f8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">comedi_range* ADCard::range_info[<a class="el" href="ADCard_8hpp.html#ab699a96c0b201332ecbb2ecbba88127e">N_CHANS</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="ADCard_8hpp_source.html">ADCard.hpp</a></li>
<li><a class="el" href="ADCard_8cpp.html">ADCard.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
